Index: /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/Helpers/EndpointHelper.cs
===================================================================
--- /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/Helpers/EndpointHelper.cs	(revision 5254)
+++ /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/Helpers/EndpointHelper.cs	(revision 5254)
@@ -0,0 +1,99 @@
+﻿/* $Id*/
+/*
+* Copyright (C) 2016 Teluu Inc. (http://www.teluu.com)
+*
+* This program is free software; you can redistribute it and/or modify
+* it under the terms of the GNU General Public License as published by
+* the Free Software Foundation; either version 2 of the License, or
+* (at your option) any later version.
+*
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+* GNU General Public License for more details.
+*
+* You should have received a copy of the GNU General Public License
+* along with this program; if not, write to the Free Software
+* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+*/
+
+using System;
+using System.Threading.Tasks;
+using VoipTasks.BackgroundOperations;
+using Windows.Foundation.Collections;
+using Windows.Foundation.Metadata;
+using VoipBackEnd;
+
+namespace VoipUI.Helpers
+{
+    static class EndpointHelper
+    {
+        public static async Task<OperationResult> StartServiceAsync()
+        {
+            if (!ApiInformation.IsApiContractPresent("Windows.ApplicationModel.Calls.CallsVoipContract", 1))
+            {                
+                return OperationResult.Failed;
+            }
+
+            AppServiceHelper appServiceHelper = new AppServiceHelper();
+
+            ValueSet message = new ValueSet();
+            message[BackgroundOperation.NewBackgroundRequest] = (int)BackgroundRequest.StartService;
+
+            ValueSet response = await appServiceHelper.SendMessageAsync(message);
+
+            if (response != null)
+            {
+                return ((OperationResult)(response[BackgroundOperation.Result]));
+            }
+            return OperationResult.Failed;
+        }
+
+        public static async Task<OperationResult> GetAccountInfo()
+        {
+            if (!ApiInformation.IsApiContractPresent("Windows.ApplicationModel.Calls.CallsVoipContract", 1))
+            {
+                return OperationResult.Failed;
+            }
+
+            AppServiceHelper appServiceHelper = new AppServiceHelper();
+
+            ValueSet message = new ValueSet();
+            message[BackgroundOperation.NewBackgroundRequest] = (int)BackgroundRequest.GetAccountInfo;
+
+            ValueSet response = await appServiceHelper.SendMessageAsync(message);
+
+            if (response != null)
+            {
+                return ((OperationResult)(response[BackgroundOperation.Result]));
+            }
+            return OperationResult.Failed;
+        }
+
+        public static async Task<OperationResult> ModifyAccount(String id, String registrar, String proxy, String username, String password)
+        {
+            if (!ApiInformation.IsApiContractPresent("Windows.ApplicationModel.Calls.CallsVoipContract", 1))
+            {
+                return OperationResult.Failed;
+            }
+
+            AppServiceHelper appServiceHelper = new AppServiceHelper();
+
+            ValueSet message = new ValueSet();
+            message[ModifyAccountArguments.id.ToString()] = id;
+            message[ModifyAccountArguments.registrar.ToString()] = registrar;
+            message[ModifyAccountArguments.proxy.ToString()] = proxy;
+            message[ModifyAccountArguments.username.ToString()] = username;
+            message[ModifyAccountArguments.password.ToString()] = password;
+            message[BackgroundOperation.NewBackgroundRequest] = (int)BackgroundRequest.ModifyAccount;
+
+            ValueSet response = await appServiceHelper.SendMessageAsync(message);
+
+            if (response != null)
+            {
+                return ((OperationResult)(response[BackgroundOperation.Result]));
+            }
+            return OperationResult.Failed;
+        }
+    }
+}
Index: /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/Helpers/VoipCallHelper.cs
===================================================================
--- /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/Helpers/VoipCallHelper.cs	(revision 5254)
+++ /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/Helpers/VoipCallHelper.cs	(revision 5254)
@@ -0,0 +1,56 @@
+﻿//*********************************************************
+//
+// Copyright (c) Microsoft. All rights reserved.
+// This code is licensed under the MIT License (MIT).
+// THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
+// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
+// IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
+// PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
+//
+//*********************************************************
+using System;
+using System.Threading.Tasks;
+using VoipTasks.BackgroundOperations;
+using Windows.Foundation.Collections;
+using Windows.Foundation.Metadata;
+
+namespace VoipUI.Helpers
+{
+    static class VoipCallHelper
+    {
+        public static async Task<OperationResult> NewOutgoingCallAsync(String dstURI)
+        {
+            if (!ApiInformation.IsApiContractPresent("Windows.ApplicationModel.Calls.CallsVoipContract", 1))
+            {
+                return OperationResult.Failed;
+            }
+
+            AppServiceHelper appServiceHelper = new AppServiceHelper();
+
+            ValueSet message = new ValueSet();
+            message[NewCallArguments.DstURI.ToString()] = dstURI;
+            message[BackgroundOperation.NewBackgroundRequest] = (int)BackgroundRequest.NewOutgoingCall;            
+
+            ValueSet response = await appServiceHelper.SendMessageAsync(message);
+
+            if (response != null)
+            {
+                return ((OperationResult)(response[BackgroundOperation.Result]));
+            }
+
+            return OperationResult.Failed;
+        }
+
+        public static OperationResult EndCallAsync()
+        {
+            AppServiceHelper appServiceHelper = new AppServiceHelper();
+
+            ValueSet message = new ValueSet();
+            message[BackgroundOperation.NewBackgroundRequest] = (int)BackgroundRequest.EndCall;
+
+            appServiceHelper.SendMessage(message);
+            
+            return OperationResult.Succeeded;
+        }
+    }
+}
Index: /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/MainPage.xaml
===================================================================
--- /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/MainPage.xaml	(revision 5254)
+++ /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/MainPage.xaml	(revision 5254)
@@ -0,0 +1,136 @@
+﻿<Page
+    x:Class="VoipUI.MainPage"
+    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
+    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
+    xmlns:local="using:VoipUI"
+    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
+    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
+    mc:Ignorable="d">
+
+    <Grid Background="{ThemeResource ApplicationPageBackgroundThemeBrush}"
+          Margin="5">
+        <Grid.RowDefinitions>
+            <RowDefinition Height="Auto"/>
+            <RowDefinition Height="Auto"/>
+            <RowDefinition Height="*"/>
+        </Grid.RowDefinitions>
+
+        <StackPanel Grid.Row="0">
+            <TextBlock FontSize="12" Text="Pjsua Sample App" Margin="5"/>
+            <TextBox x:Name="txt_CallerName"  Text="Test Account" Margin="5"/>
+            <TextBox x:Name="txt_CallerNumber" Text="sip:192.168.0.103:6000" Margin="5"/>
+        </StackPanel>
+
+        <StackPanel Grid.Row="1">
+            <Grid HorizontalAlignment="Center">
+                <Grid.ColumnDefinitions>
+                    <ColumnDefinition Width="165"/>
+                    <ColumnDefinition Width="165"/>
+                </Grid.ColumnDefinitions>
+                <Grid.RowDefinitions>
+                    <RowDefinition Height="Auto"/>
+                    <RowDefinition Height="Auto"/>
+                    <RowDefinition Height="Auto"/>
+                    <RowDefinition Height="Auto"/>
+                    <RowDefinition Height="Auto"/>
+                    <RowDefinition Height="Auto"/>
+                    <RowDefinition Height="Auto"/>
+                    <RowDefinition Height="Auto"/>
+                    <RowDefinition Height="Auto"/>
+                </Grid.RowDefinitions>
+
+                <Button x:Name="btn_NewOutgoingCall" 
+                        Grid.Column="0" Grid.Row="0" 
+                        Content="Make Call" 
+                        HorizontalAlignment="Left"  VerticalAlignment="Top" 
+                        Width="150" Height="40" 
+                        Margin="5"
+                        Click="btn_NewOutgoingCall_Click"/>
+                <Button x:Name="btn_EndCall" Grid.Column="1"  Grid.Row="0" Content="End Call" 
+                        HorizontalAlignment="Left"  VerticalAlignment="Top" 
+                        Width="150" Height="40" 
+                        Margin="5" Click="btn_EndCall_Click"/>
+
+                <TextBlock x:Name="label1" Grid.Column="0"  Grid.Row="1" 
+                        HorizontalAlignment="Left"  VerticalAlignment="Center" 
+                        Width="150" Height="40" 
+                        Text="User Id"
+                        Margin="10,5,5,5"/>
+
+                <TextBox x:Name="txt_UserId" Grid.Column="1"  Grid.Row="1"
+                        HorizontalAlignment="Right"  VerticalAlignment="Center" 
+                        Width="150" Height="40" 
+                        Margin="5" IsEnabled="True"/>
+
+                <TextBlock x:Name="label2" Grid.Column="0"  Grid.Row="2" 
+                        HorizontalAlignment="Left"  VerticalAlignment="Center" 
+                        Width="150" Height="40" 
+                        Text="Registrar"
+                        Margin="10,5,5,5"/>
+
+                <TextBox x:Name="txt_Registrar" Grid.Column="1"  Grid.Row="2"
+                        HorizontalAlignment="Right"  VerticalAlignment="Center" 
+                        Width="150" Height="40" 
+                        Margin="5" IsEnabled="True"/>
+
+                <TextBlock x:Name="label3" Grid.Column="0"  Grid.Row="3" 
+                        HorizontalAlignment="Left"  VerticalAlignment="Center" 
+                        Width="150" Height="40" 
+                        Text="Proxy"
+                        Margin="10,5,5,5"/>
+
+                <TextBox x:Name="txt_Proxy" Grid.Column="1"  Grid.Row="3"
+                        HorizontalAlignment="Right"  VerticalAlignment="Center" 
+                        Width="150" Height="40" 
+                        Margin="5" IsEnabled="True"/>
+
+                <TextBlock x:Name="label4" Grid.Column="0"  Grid.Row="4" 
+                        HorizontalAlignment="Left"  VerticalAlignment="Center" 
+                        Width="150" Height="40" 
+                        Text="User Name"
+                        Margin="10,5,5,5"/>
+
+                <TextBox x:Name="txt_RegUserName" Grid.Column="1"  Grid.Row="4"
+                        HorizontalAlignment="Right"  VerticalAlignment="Center" 
+                        Width="150" Height="40" 
+                        Margin="5" IsEnabled="True"/>
+
+                <TextBlock x:Name="label5" Grid.Column="0"  Grid.Row="5" 
+                        HorizontalAlignment="Left"  VerticalAlignment="Center" 
+                        Width="150" Height="40" 
+                        Text="Password"
+                        Margin="10,5,5,5"/>
+
+                <TextBox x:Name="txt_Password" Grid.Column="1"  Grid.Row="5"
+                        HorizontalAlignment="Right"  VerticalAlignment="Center" 
+                        Width="150" Height="40" 
+                        Margin="5" IsEnabled="True"/>
+                <Button x:Name="btn_GetAccountInfo" Grid.Column="0"  Grid.Row="6" Content="Get Account Info" 
+                        HorizontalAlignment="Left"  VerticalAlignment="Top" 
+                        Width="150" Height="40" 
+                        Margin="5" Click="btn_GetAccountInfo_Click"/>
+
+                <Button x:Name="btn_ModifyAccount" Grid.Column="1"  Grid.Row="6" Content="Modify Account" 
+                        HorizontalAlignment="Left"  VerticalAlignment="Top" 
+                        Width="150" Height="40" 
+                        Margin="5" Click="btn_ModifyAccount_Click"/>
+
+                <TextBlock x:Name="txt_RegState" Grid.Column="0" Grid.Row="7"
+                    Text="Reg: Not Registered" 
+                    Margin="15,20,5,15" 
+                    VerticalAlignment="Bottom" 
+                    HorizontalAlignment="Center" 
+                    TextWrapping="WrapWholeWords"/>
+
+                <TextBlock x:Name="txt_CallStatus" Grid.Column="1" Grid.Row="7"
+                    Text="Disconnected" 
+                    Margin="15,20,5,15" 
+                    VerticalAlignment="Bottom" 
+                    HorizontalAlignment="Center" 
+                    TextWrapping="WrapWholeWords"/>
+
+            </Grid>
+        </StackPanel>
+
+    </Grid>
+</Page>
Index: /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/MainPage.xaml.cs
===================================================================
--- /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/MainPage.xaml.cs	(revision 5254)
+++ /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/MainPage.xaml.cs	(revision 5254)
@@ -0,0 +1,136 @@
+﻿//*********************************************************
+//
+// Copyright (c) Microsoft. All rights reserved.
+// This code is licensed under the MIT License (MIT).
+// THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
+// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
+// IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
+// PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
+//
+//*********************************************************
+
+using System;
+using VoipUI.Helpers;
+using VoipTasks.BackgroundOperations;
+using Windows.UI.Xaml;
+using Windows.UI.Xaml.Controls;
+using System.Diagnostics;
+using VoipBackEnd;
+using System.Threading;
+using Windows.ApplicationModel.AppService;
+using Windows.UI.Xaml.Navigation;
+
+namespace VoipUI
+{
+    public sealed partial class MainPage : Page
+    {
+        //App developer should include the logic to prevent the user from being
+        //able to call the Start Call async method multiple times. This is out
+        //of the scope of this sample.
+        private int MethodCallUnexpectedTime = -2147483634;
+
+        public static string callerName, callerNumber;
+        public static MainPage Current;        
+
+        public MainPage()
+        {
+            this.InitializeComponent();
+            Current = this;
+        }
+
+        private async void GetAccountInfoAsync()
+        {
+            try
+            {
+                OperationResult result = await EndpointHelper.GetAccountInfo();
+            }
+            catch (Exception ex)
+            {
+                Debug.WriteLine(ex.Message);
+            }
+        }
+
+        private async void ModifyAccountAsync()
+        {
+            try
+            {
+                OperationResult result = await EndpointHelper.ModifyAccount(
+                                           txt_UserId.Text, 
+                                           txt_Registrar.Text, 
+                                           txt_Proxy.Text, 
+                                           txt_RegUserName.Text, 
+                                           txt_Password.Text);
+            }
+            catch (Exception ex)
+            {
+                Debug.WriteLine(ex.Message);
+            }
+        }
+
+        private async void NewOutgoingCallAsync()
+        {
+            try
+            {
+                OperationResult result = await VoipCallHelper.NewOutgoingCallAsync(txt_CallerNumber.Text);
+            }
+            catch (Exception ex)
+            {
+                Debug.WriteLine(ex.Message);
+            }
+        }
+
+        private void EndCall()
+        {
+            try
+            {
+                OperationResult result = VoipCallHelper.EndCallAsync();
+            }
+            catch (Exception ex)
+            {
+                Debug.WriteLine(ex.Message);
+            }
+            txt_CallStatus.Text = "Disconnected";
+        }
+
+        public void UpdateAccountInfo(String id, String registrar, String proxy,
+                                      String username, String password)
+        {
+            txt_UserId.Text = id;
+            txt_Registrar.Text = registrar;
+            txt_Proxy.Text = proxy;
+            txt_RegUserName.Text = username;
+            txt_Password.Text = password;
+        }
+
+        private void btn_NewOutgoingCall_Click(object sender, RoutedEventArgs e)
+        {
+            NewOutgoingCallAsync();
+        }
+
+
+        private void btn_EndCall_Click(object sender, RoutedEventArgs e)
+        {
+            EndCall();
+        }
+
+        public void UpdateCallState(String state)
+        {
+            txt_CallStatus.Text = state;            
+        }
+
+        public void UpdateRegState(String state)
+        {
+            txt_RegState.Text = "Reg:" + state;
+        }
+
+        private void btn_GetAccountInfo_Click(object sender, RoutedEventArgs e)
+        {
+            GetAccountInfoAsync();
+        }
+
+        private void btn_ModifyAccount_Click(object sender, RoutedEventArgs e)
+        {
+            ModifyAccountAsync();
+        }
+    }
+}
Index: /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/Properties/AssemblyInfo.cs
===================================================================
--- /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/Properties/AssemblyInfo.cs	(revision 5254)
+++ /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/Properties/AssemblyInfo.cs	(revision 5254)
@@ -0,0 +1,29 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("Voip")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("Voip")]
+[assembly: AssemblyCopyright("Copyright ©  2016")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("1.0.0.0")]
+[assembly: AssemblyFileVersion("1.0.0.0")]
+[assembly: ComVisible(false)]
Index: /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/Voip.csproj
===================================================================
--- /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/Voip.csproj	(revision 5254)
+++ /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/Voip.csproj	(revision 5254)
@@ -0,0 +1,161 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
+    <ProjectGuid>{B11B5672-B1E8-4C77-BDA1-4E6620F96BF9}</ProjectGuid>
+    <OutputType>AppContainerExe</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>VoipUI</RootNamespace>
+    <AssemblyName>Voip</AssemblyName>
+    <DefaultLanguage>en-US</DefaultLanguage>
+    <TargetPlatformIdentifier>UAP</TargetPlatformIdentifier>
+    <TargetPlatformVersion>10.0.10586.0</TargetPlatformVersion>
+    <TargetPlatformMinVersion>10.0.10586.0</TargetPlatformMinVersion>
+    <MinimumVisualStudioVersion>14</MinimumVisualStudioVersion>
+    <EnableDotNetNativeCompatibleProfile>true</EnableDotNetNativeCompatibleProfile>
+    <FileAlignment>512</FileAlignment>
+    <ProjectTypeGuids>{A5A43C5B-DE2A-4C0C-9213-0A381AF9435A};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
+    <PackageCertificateKeyFile>Voip_TemporaryKey.pfx</PackageCertificateKeyFile>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|ARM'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\ARM\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE;NETFX_CORE;WINDOWS_UWP</DefineConstants>
+    <NoWarn>;2008</NoWarn>
+    <DebugType>full</DebugType>
+    <PlatformTarget>ARM</PlatformTarget>
+    <UseVSHostingProcess>false</UseVSHostingProcess>
+    <ErrorReport>prompt</ErrorReport>
+    <Prefer32Bit>true</Prefer32Bit>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|ARM'">
+    <OutputPath>bin\ARM\Release\</OutputPath>
+    <DefineConstants>TRACE;NETFX_CORE;WINDOWS_UWP</DefineConstants>
+    <Optimize>true</Optimize>
+    <NoWarn>;2008</NoWarn>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>ARM</PlatformTarget>
+    <UseVSHostingProcess>false</UseVSHostingProcess>
+    <ErrorReport>prompt</ErrorReport>
+    <Prefer32Bit>true</Prefer32Bit>
+    <UseDotNetNativeToolchain>true</UseDotNetNativeToolchain>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE;NETFX_CORE;WINDOWS_UWP</DefineConstants>
+    <NoWarn>;2008</NoWarn>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <UseVSHostingProcess>false</UseVSHostingProcess>
+    <ErrorReport>prompt</ErrorReport>
+    <Prefer32Bit>true</Prefer32Bit>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE;NETFX_CORE;WINDOWS_UWP</DefineConstants>
+    <Optimize>true</Optimize>
+    <NoWarn>;2008</NoWarn>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <UseVSHostingProcess>false</UseVSHostingProcess>
+    <ErrorReport>prompt</ErrorReport>
+    <Prefer32Bit>true</Prefer32Bit>
+    <UseDotNetNativeToolchain>true</UseDotNetNativeToolchain>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x86'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x86\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE;NETFX_CORE;WINDOWS_UWP</DefineConstants>
+    <NoWarn>;2008</NoWarn>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <UseVSHostingProcess>false</UseVSHostingProcess>
+    <ErrorReport>prompt</ErrorReport>
+    <Prefer32Bit>true</Prefer32Bit>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x86'">
+    <OutputPath>bin\x86\Release\</OutputPath>
+    <DefineConstants>TRACE;NETFX_CORE;WINDOWS_UWP</DefineConstants>
+    <Optimize>true</Optimize>
+    <NoWarn>;2008</NoWarn>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <UseVSHostingProcess>false</UseVSHostingProcess>
+    <ErrorReport>prompt</ErrorReport>
+    <Prefer32Bit>true</Prefer32Bit>
+    <UseDotNetNativeToolchain>true</UseDotNetNativeToolchain>
+  </PropertyGroup>
+  <ItemGroup>
+    <!-- A reference to the entire .Net Framework and Windows SDK are automatically included -->
+    <Content Include="ApplicationInsights.config">
+      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
+    </Content>
+    <None Include="project.json" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="App.xaml.cs">
+      <DependentUpon>App.xaml</DependentUpon>
+    </Compile>
+    <Compile Include="Helpers\AppServiceHelper.cs" />
+    <Compile Include="Helpers\EndpointHelper.cs" />
+    <Compile Include="Helpers\VoipCallHelper.cs" />
+    <Compile Include="MainPage.xaml.cs">
+      <DependentUpon>MainPage.xaml</DependentUpon>
+    </Compile>
+    <Compile Include="Properties\AssemblyInfo.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <AppxManifest Include="Package.appxmanifest">
+      <SubType>Designer</SubType>
+    </AppxManifest>
+    <None Include="Voip_TemporaryKey.pfx" />
+  </ItemGroup>
+  <ItemGroup>
+    <Content Include="Properties\Default.rd.xml" />
+    <Content Include="Assets\LockScreenLogo.scale-200.png" />
+    <Content Include="Assets\SplashScreen.scale-200.png" />
+    <Content Include="Assets\Square150x150Logo.scale-200.png" />
+    <Content Include="Assets\Square44x44Logo.scale-200.png" />
+    <Content Include="Assets\Square44x44Logo.targetsize-24_altform-unplated.png" />
+    <Content Include="Assets\StoreLogo.png" />
+    <Content Include="Assets\Wide310x150Logo.scale-200.png" />
+  </ItemGroup>
+  <ItemGroup>
+    <ApplicationDefinition Include="App.xaml">
+      <Generator>MSBuild:Compile</Generator>
+      <SubType>Designer</SubType>
+    </ApplicationDefinition>
+    <Page Include="MainPage.xaml">
+      <Generator>MSBuild:Compile</Generator>
+      <SubType>Designer</SubType>
+    </Page>
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\VoipBackEnd\VoipBackEnd.vcxproj">
+      <Project>{fc9cbb95-624c-4ce8-86a8-3ab5a415aa65}</Project>
+      <Name>VoipBackEnd</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\VoipHost\VoipHost.vcxproj">
+      <Project>{016d497f-0ee0-449e-89f5-bd63f7f9a8a6}</Project>
+      <Name>VoipHost</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\VoipTasks\VoipTasks.csproj">
+      <Project>{9fdf5e33-d15d-409f-876e-4e77727936b9}</Project>
+      <Name>VoipTasks</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <PropertyGroup Condition=" '$(VisualStudioVersion)' == '' or '$(VisualStudioVersion)' &lt; '14.0' ">
+    <VisualStudioVersion>14.0</VisualStudioVersion>
+  </PropertyGroup>
+  <Import Project="$(MSBuildExtensionsPath)\Microsoft\WindowsXaml\v$(VisualStudioVersion)\Microsoft.Windows.UI.Xaml.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+</Project>
Index: /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/package.appxmanifest
===================================================================
--- /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/package.appxmanifest	(revision 5254)
+++ /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/package.appxmanifest	(revision 5254)
@@ -0,0 +1,53 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Package xmlns="http://schemas.microsoft.com/appx/manifest/foundation/windows10" xmlns:mp="http://schemas.microsoft.com/appx/2014/phone/manifest" xmlns:uap="http://schemas.microsoft.com/appx/manifest/uap/windows10" IgnorableNamespaces="uap mp">
+  <Identity Name="43db1af2-7e7c-499d-8ca6-9f3695ed1ec9" Publisher="CN=Riza" Version="1.0.0.0" />
+  <mp:PhoneIdentity PhoneProductId="43db1af2-7e7c-499d-8ca6-9f3695ed1ec9" PhonePublisherId="00000000-0000-0000-0000-000000000000" />
+  <Properties>
+    <DisplayName>Voip</DisplayName>
+    <PublisherDisplayName>Riza</PublisherDisplayName>
+    <Logo>Assets\StoreLogo.png</Logo>
+  </Properties>
+  <Dependencies>
+    <TargetDeviceFamily Name="Windows.Universal" MinVersion="10.0.0.0" MaxVersionTested="10.0.0.0" />
+  </Dependencies>
+  <Resources>
+    <Resource Language="x-generate" />
+  </Resources>
+  <Applications>
+    <Application Id="App" Executable="$targetnametoken$.exe" EntryPoint="VoipUI.App">
+      <uap:VisualElements DisplayName="Voip" Square150x150Logo="Assets\Square150x150Logo.png" Square44x44Logo="Assets\Square44x44Logo.png" Description="Voip" BackgroundColor="transparent">
+        <uap:DefaultTile Wide310x150Logo="Assets\Wide310x150Logo.png">
+        </uap:DefaultTile>
+      </uap:VisualElements>
+      <Extensions>
+        <Extension Category="windows.backgroundTasks" EntryPoint="VoipTasks.CallRtcTask">
+          <BackgroundTasks ServerName="VoipHost">
+            <Task Type="systemEvent" />
+          </BackgroundTasks>
+        </Extension>
+        <uap:Extension Category="windows.appService" EntryPoint="VoipTasks.AppService">
+          <uap:AppService Name="VoipTasks.AppService" ServerName="VoipHost" />
+        </uap:Extension>
+        <uap:Extension Category="windows.voipCall">
+        </uap:Extension>
+      </Extensions>
+    </Application>
+  </Applications>
+  <Capabilities>
+    <Capability Name="internetClientServer" />
+    <Capability Name="privateNetworkClientServer" />
+    <uap:Capability Name="voipCall" />
+    <uap:Capability Name="phoneCall" />
+    <DeviceCapability Name="microphone" />
+    <DeviceCapability Name="webcam" />
+  </Capabilities>
+  <Extensions>
+    <Extension Category="windows.activatableClass.outOfProcessServer">
+      <OutOfProcessServer ServerName="VoipHost">
+        <Path>VoipHost.exe</Path>
+        <Instancing>singleInstance</Instancing>
+        <ActivatableClass ActivatableClassId="VoipHost.Dummy" />
+      </OutOfProcessServer>
+    </Extension>
+  </Extensions>
+</Package>
Index: /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/VoipBackEnd/ApiLock.cpp
===================================================================
--- /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/VoipBackEnd/ApiLock.cpp	(revision 5254)
+++ /pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/VoipBackEnd/ApiLock.cpp	(revision 5254)
@@ -0,0 +1,18 @@
+/* 
+    Copyright (c) 2012 Microsoft Corporation.  All rights reserved.
+    Use of this sample source code is subject to the terms of the Microsoft license 
+    agreement under which you licensed this sample source code and is provided AS-IS.
+    If you did not accept the terms of the license agreement, you are not authorized 
+    to use this sample source code.  For the terms of the license, please see the 
+    license agreement between you and Microsoft.
+  
+*/
+#include "pch.h"
+#include "ApiLock.h"
+
+namespace VoipBackEnd
+{
+    // A mutex used to protect objects accessible from the API surface exposed by this DLL
+    std::recursive_mutex g_apiLock;
+}
+
